Bug 57589 - [unbreak port] mail/mahogany to 0.65 and unbreak
Summary: [unbreak port] mail/mahogany to 0.65 and unbreak
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-05 05:50 UTC by Jan Hornyak
Modified: 2003-11-02 23:44 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (45.54 KB, patch)
2003-10-05 05:50 UTC, Jan Hornyak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Hornyak 2003-10-05 05:50:13 UTC
Port mail/mahogany was last updated 2,5 years ago, and is marked
BROKEN since May. Attached patch updates it to latest version 0.65
and unbreaks. I hope I'll save this excellent mail and news client
from Kris' scythe. Maintainer is Cc'ed.

Committer please remove all old patches (files/patch-a[a-i])
and add 7 new patches. Also cvs remove pkg-message.

Changes to port:
- python interpreter works only with python 2.1 and older,
  and is no longer maintained by the authors, so i disabled it
  and changed CATEGORIES and COMMENT accordingly
- removed latex dependency and not installing Manual
  it's weird to have to install whole latex just to build
  documentation to mail client. built docs in html are available
  on mahogany website.

Please close PR 30947 which contains talks about updates to older
versions.

Many thanks to Joe Marcus Clarke for finding and fixing i18n bugs
in wxGTK which caused mahogany to fail with certain locale.
Comment 1 Oliver Lehmann freebsd_committer 2003-10-05 12:41:45 UTC
State Changed
From-To: open->feedback

Awaiting maintainers approval
Comment 2 steve 2003-10-09 07:24:04 UTC
The patch looks good to me.

Just as an FYI, I haven't actively used Mahogany in quite a while (most 
of the subsequent releases past the port that I did use just built okay 
out of the box and I kept forgetting to update the port).  If someone 
else wants to take over maintainership of the port, that would be fine.
Comment 3 Joe Marcus Clarke freebsd_committer 2003-11-02 23:44:27 UTC
State Changed
From-To: feedback->closed

Committed, thanks!